import type { CustomElementClass } from './custom-element.js';
/**
 * Controller is a decorator to be used over a class that extends HTMLElement.
 * It will automatically `register()` the component in the customElement
 * registry, as well as ensuring `bind(this)` is called on `connectedCallback`,
 * wrapping the classes `connectedCallback` method if needed.
 */
export declare function controller<T extends CustomElementClass>(Class: T): T & import("./controllable.js").ControllableClass & import("./targetable.js").TargetableClass & import("./attrable.js").AttrableClass;
//# sourceMappingURL=controller.d.ts.map