import { targetable } from './targetable.js';
import { attrable } from './attrable.js';
import { actionable } from './actionable.js';
import { register } from './register.js';
/**
 * Controller is a decorator to be used over a class that extends HTMLElement.
 * It will automatically `register()` the component in the customElement
 * registry, as well as ensuring `bind(this)` is called on `connectedCallback`,
 * wrapping the classes `connectedCallback` method if needed.
 */
export function controller(Class) {
    return register(actionable(attrable(targetable(Class))));
}
//# sourceMappingURL=controller.js.map